πŸš€ Fansly API (Alpha) is live!WIP - Updated Daily
Fansly API Logo
Posts

Get Post Walls

Retrieve the list of walls for a specific account.

Retrieve the list of walls for a creator's account. Walls are used to organize posts into categories.

https://v1.apifansly.com
GET
/api/fansly/{accountId}/posts/walls

Get Started

All requests to the Fansly API require an API Key. See the Authentication page for details.

Path Parameters

accountId*
string
The unique identifier for the account.
curl -X GET "https://v1.apifansly.com/api/fansly/{accountId}/posts/walls" \
  -H "x-api-key: YOUR_API_KEY"
fetch("https://v1.apifansly.com/api/fansly/{accountId}/posts/walls", {
  method: "GET",
  headers: {
    "x-api-key": "YOUR_API_KEY"
  }
})
import requests

url = "https://v1.apifansly.com/api/fansly/{accountId}/posts/walls"
headers = {"x-api-key": "YOUR_API_KEY"}

response = requests.get(url, headers=headers)
print(response.json())
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
        .uri(URI.create("https://v1.apifansly.com/api/fansly/{accountId}/posts/walls"))
        .header("x-api-key", "YOUR_API_KEY")
        .GET()
        .build();

client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
        .thenApply(HttpResponse::body)
        .thenAccept(System.out::println)
        .join();
using System.Net.Http;

var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");

var response = await client.GetAsync("https://v1.apifansly.com/api/fansly/{accountId}/posts/walls");
var responseString = await response.Content.ReadAsStringAsync();

Console.WriteLine(responseString);
package main

import (
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://v1.apifansly.com/api/fansly/{accountId}/posts/walls"
    req, _ := http.NewRequest("GET", url, nil)
    req.Header.Set("x-api-key", "YOUR_API_KEY")

    client := &http.Client{}
    resp, _ := client.Do(req)
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}

Response

{
  "statusCode": 200,
  "message": "Success",
  "data": {
      "status_code": 200,
      "data": {
          "accountId": "86540xxxxxxxxxxxxxx",
          "walls": [
              {
                  "id": "86819xxxxxxxxxxxxxx",
                  "accountId": "86540xxxxxxxxxxxxxx",
                  "pos": 1,
                  "name": "Posts",
                  "description": "",
                  "private": 0,
                  "metadata": "",
                  "mainWall": true
              },
              {
                  "id": "87551xxxxxxxxxxxxxx",
                  "accountId": "86540xxxxxxxxxxxxxx",
                  "pos": 0,
                  "name": "wall_name",
                  "description": "",
                  "private": 0,
                  "metadata": "",
                  "defaultWall": true
              }
          ]
      }
  },
  "timestamp": "2026-02-04T22:50:06.307Z"
}

Response Body

FieldTypeDescription
statusCodenumberThe HTTP status code (200)
messagestringResult message
dataobjectMain response container
β”œβ”€ status_codenumberInternal Fansly status code
└─ dataobjectNested data container
β”œβ”€ accountIdstringThe ID of the account
└─ wallsarrayList of content walls
β”œβ”€ idstringUnique identifier for the wall
β”œβ”€ namestringDisplay name of the wall
β”œβ”€ descriptionstringDescription of the wall
β”œβ”€ posnumberDisplay position/order
β”œβ”€ privatenumberPrivacy setting flag
β”œβ”€ mainWallboolean(Optional) Whether this is the main wall
└─ defaultWallboolean(Optional) Whether this is the default wall
timestampstringISO 8601 response timestamp

On this page